Loading...
Searching...
No Matches
Core functions

## Functions

int | i_global_init ()
void | i_global_close ()
void | i_free (void *data)
int | i_init_session (struct _i_session *i_session)
void | i_clean_session (struct _i_session *i_session)

## Detailed Description

Core functions used to initialize or free struct _i_session

## Function Documentation

## i_clean_session()

void i_clean_session | ( | struct _i_session * | i_session | ) |

Cleanup a struct _i_session

Parameters

  i_session | a reference to a struct _i_session * to initialize

## i_free()

void i_free | ( | void * | data | ) |

Free a heap allocated variable previously returned by a iddawc function

Parameters

  data | the data to free

## i_global_close()

void i_global_close | ( |  | ) |

Close iddawc global parameters

## i_global_init()

int i_global_init | ( |  | ) |

Initialize iddawc global parameters This function isn't thread-safe so it must be called once before any other call to iddawc functions The function i_global_close must be called when iddawc library is no longer required

Returns
  RHN_OK on success, an error value on error

## i_init_session()

int i_init_session | ( | struct _i_session * | i_session | ) |

Initialize a struct _i_session

Parameters

  i_session | a reference to a struct _i_session * to initialize

Returns
  I_OK on success, an error value on error